
<h1 *ngIf="user$ | async as user">Bienvenido a nuestro Foro {{user.displayName}}! </h1>
<mat-form-field appearance="standard">
  <mat-label>Filter</mat-label>
  <input matInput (keyup)="applyFilter($event)" placeholder="Ex. ium" #input>
</mat-form-field>

<div class="mat-elevation-z8">
  <table mat-table [dataSource]="dataSource" matSort>

  <!-- Position Column -->
  <ng-container matColumnDef="Posicion">
    <th mat-header-cell *matHeaderCellDef> No. </th>
    <td mat-cell *matCellDef="let element"> {{element.Posicion}} </td>
  </ng-container>

  <!-- Name Column -->
  <ng-container matColumnDef="Titulo">
    <th mat-header-cell *matHeaderCellDef> Titulo </th>
    <td mat-cell *matCellDef="let element"> <a routerLink="/home/foro">{{element.Titulo}}</a> </td>
  </ng-container>

  <!-- Weight Column -->
  <ng-container matColumnDef="Autor">
    <th mat-header-cell *matHeaderCellDef> Autor </th>
    <td mat-cell *matCellDef="let element"> {{element.Autor}} </td>
  </ng-container>

  <!-- Symbol Column -->
  <ng-container matColumnDef="fecha">
    <th mat-header-cell *matHeaderCellDef> Fecha </th>
    <td mat-cell *matCellDef="let element"> {{element.fecha}} </td>
  </ng-container>

  <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
  <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>

  <!-- Row shown when there is no matching data. -->
  <tr class="mat-row" *matNoDataRow>
    <td class="mat-cell" colspan="4">No data matching the filter "{{input.value}}"</td>
  </tr>
</table>


  <mat-paginator [pageSizeOptions]="[5, 10, 25, 100]" aria-label="Select page of users"></mat-paginator>
</div>

<router-outlet></router-outlet>